PLATINUM DOCS
ApiSandboxes

POST /v1/sandboxes/{id}/fork

POST
/v1/sandboxes/{id}/fork

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Snapshot a running sandbox and clone it. volume_policy is required whenever the source has volume attachments.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/sandboxes/string/fork" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "forked_from": "string",  "snapshot_id": "string",  "state": "resuming",  "snapshot_size_bytes": 0,  "snapshot_took_ms": 0,  "warning": "string"}
{  "error": "string",  "code": "string",  "snapshot_id": "string"}
Empty
{  "error": "string",  "code": "string",  "snapshot_id": "string"}